[arch-commits] Commit in (4 files)

Vesa Kaihlavirta vesa at archlinux.org
Wed Aug 18 02:58:57 EDT 2010


    Date: Wednesday, August 18, 2010 @ 02:58:56
  Author: vesa
Revision: 87746

cabal-install from community (part of haskell-platform)

Added:
  cabal-install/
  cabal-install/repos/
  cabal-install/trunk/
  cabal-install/trunk/PKGBUILD

----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

Added: cabal-install/trunk/PKGBUILD
===================================================================
--- cabal-install/trunk/PKGBUILD	                        (rev 0)
+++ cabal-install/trunk/PKGBUILD	2010-08-18 06:58:56 UTC (rev 87746)
@@ -0,0 +1,22 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+# Package originally generated by cabal2arch 0.4.1
+pkgname=cabal-install
+pkgrel=1
+pkgver=0.8.2
+pkgdesc="The command-line interface for Cabal and Hackage."
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/cabal-install"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+makedepends=('ghc=6.12.3' 'haskell-http>=4000' 'haskell-zlib')
+depends=('gmp' zlib)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/cabal-install/$pkgver/cabal-install-$pkgver.tar.gz)
+
+build() {
+    cd $srcdir/cabal-install-$pkgver
+    runhaskell Setup configure --enable-shared --enable-split-objs --enable-executable-stripping --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}


Property changes on: cabal-install/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list